## node-json-schema-merge-allof 0.8.1+~cs9.16.23

=== Makefile ===

#############
# VARIABLES #

# Set the node.js environment to test:
NODE_ENV ?= test

# Kernel name:
KERNEL ?= $(shell uname -s)

ifeq ($(KERNEL), Darwin)
	OPEN ?= open
else
	OPEN ?= xdg-open
endif

# NOTES #

NOTES ?= 'TODO|FIXME|WARNING|HACK|NOTE'


# MOCHA #

MOCHA ?= ./node_modules/.bin/mocha
_MOCHA ?= ./node_modules/.bin/_mocha
MOCHA_REPORTER ?= spec


# ISTANBUL #

ISTANBUL ?= ./node_modules/.bin/istanbul
ISTANBUL_OUT ?= ./reports/coverage
ISTANBUL_REPORT ?= lcov
ISTANBUL_LCOV_INFO_PATH ?= $(ISTANBUL_OUT)/lcov.info
ISTANBUL_HTML_REPORT_PATH ?= $(ISTANBUL_OUT)/lcov-report/index.html


# JSHINT #

JSHINT ?= ./node_modules/.bin/jshint
JSHINT_REPORTER ?= ./node_modules/jshint-stylish/stylish.js



# FILES #

# Source files:
SOURCES ?= lib/*.js

# Test files:
TESTS ?= test/*.js




###########
# TARGETS #


# NOTES #

.PHONY: notes

notes:
	grep -Ern $(NOTES) $(SOURCES) $(TESTS)



# UNIT TESTS #

.PHONY: test test-mocha

test: test-mocha

test-mocha: node_modules
	NODE_ENV=$(NODE_ENV) \
	NODE_PATH=$(NODE_PATH_TEST) \
	$(MOCHA) \
		--reporter $(MOCHA_REPORTER) \
		$(TESTS)



# CODE COVERAGE #

.PHONY: test-cov test-istanbul-mocha

test-cov: test-istanbul-mocha

test-istanbul-mocha: node_modules
	NODE_ENV=$(NODE_ENV) \
	NODE_PATH=$(NODE_PATH_TEST) \
	$(ISTANBUL) cover \
		--dir $(ISTANBUL_OUT) \
		--report $(ISTANBUL_REPORT) \
	$(_MOCHA) -- \
		--reporter $(MOCHA_REPORTER) \
		$(TESTS)



# COVERAGE REPORT #

.PHONY: view-cov view-istanbul-report

view-cov: view-istanbul-report

view-istanbul-report:
	$(OPEN) $(ISTANBUL_HTML_REPORT_PATH)


# LINT #

.PHONY: lint lint-jshint

lint: lint-jshint

lint-jshint: node_modules
	$(JSHINT) \
		--reporter $(JSHINT_REPORTER) \
		./


# NODE #

# Installing node_modules:
.PHONY: install

install:
	npm install

# Clean node:
.PHONY: clean-node

clean-node:
	rm -rf node_modules



# CLEAN #
.PHONY: clean

clean:
	rm -rf build

=== debian/changelog ===
node-json-schema-merge-allof (0.8.1+~cs9.16.23-2) unstable; urgency=medium

  * Source-only upload

 -- Yadd <yadd@debian.org>  Fri, 12 May 2023 08:22:29 +0400

node-json-schema-merge-allof (0.8.1+~cs9.16.23-1) unstable; urgency=medium

  * Initial release (Closes: #1034876)

 -- Yadd <yadd@debian.org>  Wed, 26 Apr 2023 17:39:48 +0400

=== debian/control ===
Source: node-json-schema-merge-allof
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-ajv <!nocheck>
 , node-lodash <!nocheck>
 , node-sinon <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/js-team/node-json-schema-merge-allof
Vcs-Git: https://salsa.debian.org/js-team/node-json-schema-merge-allof.git
Homepage: https://github.com/mokkabonna/json-schema-merge-allof
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-json-schema-merge-allof
Architecture: all
Depends: ${misc:Depends}
 , node-lodash (>= 4.17.20)
Provides: ${nodejs:Provides}
Description: Node.js module to merge schemas combined using allOf
 node-json-schema-merge-allof merge schemas combined using allOf into a more
 readable composed schema free from allOf. Features:
 - Real and safe merging of schemas combined with allOf
 - Takes away all allOf found in the whole schema
 - Lossless in terms of validation rules, merged schema does not validate
   more or less than the original schema
 - Results in a more readable root schema
 - Removes almost all logical impossibilities
 - Throws if no logical intersection is found (your schema would not
   validate anything from the start)
 - Validates in a way not possible by regular simple meta validators
 - Correctly considers additionalProperties, patternProperties and properties
   as a part of an whole when merging schemas containing those
 - Correctly considers items and additionalItems as a whole when merging
   schemas containing those
 - Supports merging schemas with items as array and direct schema
 - Supports merging dependencies when mixed array and schema
 - Supports all JSON schema core/validation keywords (v6, use custom
   resolvers to support other keywords)
 - Option to override common impossibility like adding properties when using
   "additionalProperties: false"
 - Pluggable keyword resolvers
 It provides also json-schema-compare to compare JSON schemas correctly.

=== debian/watch ===
version=4
opts=\
searchmode=plain,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
pgpmode=none \
 https://registry.npmjs.org/json-schema-merge-allof \
 https://registry.npmjs.org/json-schema-merge-allof/-/json-schema-merge-allof-(\d[\d\.]*)@ARCHIVE_EXT@ group

opts=\
component=compute-lcm,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-lcm-$1/ \
 https://github.com/compute-io/lcm/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=compute-gcd,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-gcd-$1/ \
 https://github.com/compute-io/gcd/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
searchmode=plain,\
component=json-schema-compare,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-json-schema-compare-$1/ \
 https://registry.npmjs.org/json-schema-compare https://registry.npmjs.org/json-schema-compare/-/json-schema-compare-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=validate-io-array,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-array-$1/ \
 https://github.com/validate-io/array/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
searchmode=plain,\
component=validate-io-function,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-validate-io-function-$1/ \
 https://registry.npmjs.org/validate.io-function https://registry.npmjs.org/validate.io-function/-/validate.io-function-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=validate-io-integer-array,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-integer-array-$1/ \
 https://github.com/validate-io/integer-array/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=validate-io-integer,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-integer-$1/ \
 https://github.com/validate-io/integer/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
searchmode=plain,\
component=validate-io-number,\
ctype=nodejs,pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-validate-io-number-$1/ \
 https://registry.npmjs.org/validate.io-number https://registry.npmjs.org/validate.io-number/-/validate.io-number-([\d\.]+)@ARCHIVE_EXT@ checksum

# TYPESCRIPT DECLARATIONS
opts="searchmode=plain,component=types-json-schema-merge-allof,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-json-schema-merge-allof-$1/" \
 https://registry.npmjs.org/@types/json-schema-merge-allof https://registry.npmjs.org/@types/json-schema-merge-allof/-/json-schema-merge-allof-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=types-compute-gcd,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-compute-gcd-$1/" \
